lzma_alone_coder Struct Reference

## Public Types

enum | { SEQ_PROPERTIES , SEQ_DICTIONARY_SIZE , SEQ_UNCOMPRESSED_SIZE , SEQ_CODER_INIT , SEQ_CODE }
enum | { SEQ_HEADER , SEQ_CODE }

## Data Fields

lzma_next_coder | next
enum lzma_alone_coder:: { ... } | sequence
bool | picky
size_t | pos
| Position in the header fields. More...
lzma_vli | uncompressed_size
| Uncompressed size decoded from the header. More...
uint64_t | memlimit
| Memory usage limit. More...
uint64_t | memusage
| Amount of memory actually needed (only an estimate) More...
lzma_options_lzma | options
enum lzma_alone_coder:: { ... } | sequence
size_t | header_pos
uint8_t | header [ALONE_HEADER_SIZE]

## Field Documentation

## picky

bool lzma_alone_coder::picky

If true, reject files that are unlikely to be .lzma files. If false, more non-.lzma files get accepted and will give LZMA_DATA_ERROR either immediately or after a few output bytes.

## pos

size_t lzma_alone_coder::pos

Position in the header fields.

## uncompressed_size

lzma_vli lzma_alone_coder::uncompressed_size

Uncompressed size decoded from the header.

## memlimit

uint64_t lzma_alone_coder::memlimit

Memory usage limit.

## memusage

uint64_t lzma_alone_coder::memusage

Amount of memory actually needed (only an estimate)

## options

lzma_options_lzma lzma_alone_coder::options

Options decoded from the header needed to initialize the LZMA decoder

The documentation for this struct was generated from the following files:

- liblzma/common/alone_decoder.c
- liblzma/common/alone_encoder.c